# sendCalls

Requests the wallet to sign and broadcast a batch of calls (transactions) to the network in a single operation.

```typescript
import { encodeFunctionData } from "viem";
import countContractAbi from "@/contract/counterABI.json";

const COUNTER_CONTRACT_ADDRESS = "0x4FbF9EE4B2AF774D4617eAb027ac2901a41a7b5F";

const txHash =  await smartAccountClient.sendCalls(
      {
        calls: [
          {
            to: COUNTER_CONTRACT_ADDRESS,
            value: 0,
            data: calldata,
          },
          {
            to: COUNTER_CONTRACT_ADDRESS,
            value: 0,
            data: calldata,
          },
        ],
      }
    )

```

## Returns

`string`

The request returns the **UserOperation hash**, which can be used to track the transaction status via **getCallsStatus** within the session.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cometh.io/advanced/capabilities/sendcalls.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
